
% Load image
 I=imread('iclr.png');
figure,imshow(I);
% convert to complex image
[ci,ch]=R2C(I);

figure,
subplot(2,2,1);
imshow(VisualizeI_theta(real(ci)));title('Real-part of I\theta');
subplot(2,2,2);
imshow(VisualizeI_theta(imag(ci)));title('Imaginary-part of I\theta');
subplot(2,2,3);
imshow(VisualizeI_phi(real(ch)));title('Real-part of I\phi');
subplot(2,2,4);
imshow(VisualizeI_phi(imag(ch)));title('Imaginary-part of I\phi');

% convert back to RGB
In=C2R(ci,ch);
figure,imshow(In);

% Compute SSIM score
ssimValue = ssim(I, In);

% Display SSIM score
disp(['SSIM score: ', num2str(ssimValue)]);
